# class SysOREntry |
Full name | `Snmp::SysOREntry`
Definition | `#include <libs/ysnmp/yatesnmp.h>`
Inherits | AsnObject (unknown) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- SysOREntry ()
- SysOREntry (void* data, int len)
- ~SysOREntry ()
- int decode (DataBlock& data)
- int encode (DataBlock& data)
- void getParams (NamedList* params)
- void setParams (NamedList* params)

#### Public Members

- static const int s_type
- int32_t m_sysORIndex
- ASNObjId m_sysORID
- DisplayString* m_sysORDescr
- TimeStamp* m_sysORUpTime

## Detailed Description

static const int s_type | ### s_type

int32_t m_sysORIndex | ### m_sysORIndex

ASNObjId m_sysORID | ### m_sysORID

DisplayString* m_sysORDescr | ### m_sysORDescr

TimeStamp* m_sysORUpTime | ### m_sysORUpTime

SysOREntry () | ### SysOREntry

SysOREntry (void* data, int len) | ### SysOREntry

~SysOREntry () | ### ~SysOREntry

int decode (DataBlock& data) | ### decode

int encode (DataBlock& data) | ### encode

void getParams (NamedList* params) | ### getParams

void setParams (NamedList* params) | ### setParams

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.